package com.hotent.orgext.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.time.LocalDateTime;

@ApiModel(description="mobile应用")
public class AppModelVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value="主键")
    protected String id;
    @ApiModelProperty(value="应用名称")
    protected String name;
    @ApiModelProperty(value="内容")
    protected String content;
    @ApiModelProperty(value="图标")
    protected String icon;
    @ApiModelProperty(value="图标颜色")
    protected String iconColor;
    @ApiModelProperty(value="分类id")
    protected String typeId;
    @ApiModelProperty(value="分类名称")
    protected String typeName;
    @ApiModelProperty(value="是否启用：0未启用，1已启用")
    protected Integer enable=1;
    @ApiModelProperty(value="类型：1站内地址，2站外地址，3数据报表")
    protected Integer mode;
    @ApiModelProperty(value="排序")
    protected Integer sn;
    @ApiModelProperty(value="创建人")
    protected String createBy;
    @ApiModelProperty(value="创建时间")
    protected LocalDateTime createTime;
    @ApiModelProperty(value="更新人")
    protected String updateBy;
    @ApiModelProperty(value="更新时间")
    protected LocalDateTime updateTime;
    @ApiModelProperty(value = "回调地址")
    protected String callbackUrl;
    @ApiModelProperty(value="是否需要本地认证code(0:不需要  1:需要)")
    private Integer localAuthCode;

    @ApiModelProperty(value = "分管扩展组织id")
    private String extOrgId;
    @ApiModelProperty(value = "分管扩展id")
    private String extId;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getIcon() {
        return icon;
    }

    public void setIcon(String icon) {
        this.icon = icon;
    }

    public String getIconColor() {
        return iconColor;
    }

    public void setIconColor(String iconColor) {
        this.iconColor = iconColor;
    }

    public String getTypeId() {
        return typeId;
    }

    public void setTypeId(String typeId) {
        this.typeId = typeId;
    }

    public String getTypeName() {
        return typeName;
    }

    public void setTypeName(String typeName) {
        this.typeName = typeName;
    }

    public Integer getEnable() {
        return enable;
    }

    public void setEnable(Integer enable) {
        this.enable = enable;
    }

    public Integer getMode() {
        return mode;
    }

    public void setMode(Integer mode) {
        this.mode = mode;
    }

    public Integer getSn() {
        return sn;
    }

    public void setSn(Integer sn) {
        this.sn = sn;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public LocalDateTime getCreateTime() {
        return createTime;
    }

    public void setCreateTime(LocalDateTime createTime) {
        this.createTime = createTime;
    }

    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }

    public LocalDateTime getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(LocalDateTime updateTime) {
        this.updateTime = updateTime;
    }

    public String getCallbackUrl() {
        return callbackUrl;
    }

    public void setCallbackUrl(String callbackUrl) {
        this.callbackUrl = callbackUrl;
    }

    public Integer getLocalAuthCode() {
        return localAuthCode;
    }

    public void setLocalAuthCode(Integer localAuthCode) {
        this.localAuthCode = localAuthCode;
    }

    public String getExtOrgId() {
        return extOrgId;
    }

    public void setExtOrgId(String extOrgId) {
        this.extOrgId = extOrgId;
    }

    public String getExtId() {
        return extId;
    }

    public void setExtId(String extId) {
        this.extId = extId;
    }
}
